API ReferenceAdmin M2m Apps
M2M Rotate Tls Dn
POST
/v1/admin/m2m-apps/{sa_id}/subject-dns/rotateAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
sa_id*Sa Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The tls_client_auth subject DN a client certificate must carry,
canonicalised the way the registration field is (mtls.normalize_subject_dn).
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/admin/m2m-apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/subject-dns/rotate" \ -H "Content-Type: application/json" \ -d '{ "dn": "string" }'{ "items": [ { "id": "string", "kind": "jwk", "kid": "string", "kty": "string", "alg": "string", "thumbprint": "string", "state": "current", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "retired_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z", "revoke_reason": "string", "reactivatable_until": "2019-08-24T14:15:22Z", "jwk": {}, "pem": "string", "not_after": "2019-08-24T14:15:22Z" } ], "keys_required": true}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}